Skip to main content
GET
/
api
/
v1
/
Transfers
/
OUTs
/
{referenceNumber}
Gets a detailed of a specific inventory-out in the WineDirect fulfillment system
curl --request GET \
  --url https://api.example.com/api/v1/Transfers/OUTs/{referenceNumber} \
  --header 'Authorization: <api-key>'
{
  "isSuccess": true,
  "message": "<string>",
  "payload": {
    "lineItems": [
      {
        "lineNumber": "<string>",
        "sku": "<string>",
        "skuDescription": "<string>",
        "subInventoryCode": "<string>",
        "subInventoryName": "<string>",
        "quantityOrdered": 123,
        "quantityReserved": 123,
        "quantityShipped": 123
      }
    ],
    "messages": [
      {
        "messageType": "<string>",
        "messageTime": "2023-11-07T05:31:56Z",
        "message": "<string>"
      }
    ],
    "isEditable": true
  }
}

Authorizations

Authorization
string
header
required

Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'

Path Parameters

referenceNumber
string
required

The reference number used to create the OUT

Response

200 - application/json

OK

Generic container for all service responses

isSuccess
boolean

Was the request successful. If not, the message will have more information.

message
string | null

Any error message

payload
object

Complete Detail about the OUT